curl --request GET \
--url https://api.example.com/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "demo",
"description": "Example AgentOS configuration",
"available_models": [],
"databases": [
"9c884dc4-9066-448c-9074-ef49ec7eb73c"
],
"session": {
"dbs": [
{
"db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
"domain_config": {
"display_name": "Sessions"
}
}
]
},
"metrics": {
"dbs": [
{
"db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
"domain_config": {
"display_name": "Metrics"
}
}
]
},
"memory": {
"dbs": [
{
"db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
"domain_config": {
"display_name": "Memory"
}
}
]
},
"knowledge": {
"dbs": [
{
"db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
"domain_config": {
"display_name": "Knowledge"
}
}
]
},
"evals": {
"dbs": [
{
"db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
"domain_config": {
"display_name": "Evals"
}
}
]
},
"agents": [
{
"id": "main-agent",
"name": "Main Agent",
"db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c"
}
],
"teams": [],
"workflows": [],
"interfaces": []
}{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}Get OS Configuration
Retrieve the complete configuration of the AgentOS instance, including:
- Available models and databases
- Registered agents, teams, and workflows
- Chat, session, memory, knowledge, and evaluation configurations
- Available interfaces and their routes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OS configuration retrieved successfully
Response schema for the general config endpoint
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Configuration for the Chat page of the AgentOS
Show child attributes
Show child attributes
Configuration for the Session domain of the AgentOS
Show child attributes
Show child attributes
Configuration for the Metrics domain of the AgentOS
Show child attributes
Show child attributes
Configuration for the Memory domain of the AgentOS
Show child attributes
Show child attributes
Configuration for the Knowledge domain of the AgentOS
Show child attributes
Show child attributes
Configuration for the Evals domain of the AgentOS
Show child attributes
Show child attributes